#include "user.h"

User::User()
{
    this->_name = "";
    this->_id = 0;
    this->_type = "";
}

User::User(std::string name, int id, std::string type)
{
    this->_name = name;
    this->_id = id;
    this->_type = type;
}

std::string User::name()
{
    return this->_name;
}

int User::id()
{
    return this->_id;
}

std::string User::type()
{
    return this->_type;
}

void User::name(std::string name)
{
    this->_name = name;
}

void User::id(int id)
{
    this->_id = id;
}

void User::type(std::string type)
{
    this->_type = type;
}
